Description for Gets status of a web app backup that may be in progress, including secrets associated with the backup, such as the Azure Storage SAS URL. Also can be used to update the SAS URL for the backup if a new URL is passed in the request body.
Uses Azure REST API version 2025-05-01.
Other available API versions: 2016-08-01, 2018-02-01, 2018-11-01, 2019-08-01, 2020-06-01, 2020-09-01, 2020-10-01, 2020-12-01, 2021-01-01, 2021-01-15, 2021-02-01, 2021-03-01, 2022-03-01, 2022-09-01, 2023-01-01, 2023-12-01, 2024-04-01, 2024-11-01, 2025-03-01, 2026-03-01-preview, 2026-03-15, 2026-07-15. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native web [ApiVersion]. See the version guide for details.
Using listWebAppBackupStatusSecretsSlot
Two invocation forms are available. The direct form accepts plain
arguments and either blocks until the result value is available, or
returns a Promise-wrapped result. The output form accepts
Input-wrapped arguments and returns an Output-wrapped result.
def list_web_app_backup_status_secrets_slot(backup_id: Optional[str] = None,
backup_name: Optional[str] = None,
backup_schedule: Optional[BackupSchedule] = None,
databases: Optional[Sequence[DatabaseBackupSetting]] = None,
enabled: Optional[bool] = None,
kind: Optional[str] = None,
name: Optional[str] = None,
resource_group_name: Optional[str] = None,
slot: Optional[str] = None,
storage_account_url: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> ListWebAppBackupStatusSecretsSlotResult
def list_web_app_backup_status_secrets_slot_output(backup_id: pulumi.Input[Optional[str]] = None,
backup_name: pulumi.Input[Optional[str]] = None,
backup_schedule: pulumi.Input[Optional[BackupScheduleArgs]] = None,
databases: pulumi.Input[Optional[Sequence[pulumi.Input[DatabaseBackupSettingArgs]]]] = None,
enabled: pulumi.Input[Optional[bool]] = None,
kind: pulumi.Input[Optional[str]] = None,
name: pulumi.Input[Optional[str]] = None,
resource_group_name: pulumi.Input[Optional[str]] = None,
slot: pulumi.Input[Optional[str]] = None,
storage_account_url: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[ListWebAppBackupStatusSecretsSlotResult]
> Note: This function is named ListWebAppBackupStatusSecretsSlot in the Go SDK.
fn::invoke:
function: azure-native:web:listWebAppBackupStatusSecretsSlot
arguments:
# arguments dictionary
data "azure-native_web_list_web_app_backup_status_secrets_slot" "name" {
# arguments
}
The following arguments are supported:
- BackupId
string
- ID of the backup.
- Name
string
- Name of the app.
- ResourceGroupName
string
- The name of the resource group. The name is case insensitive.
- Slot
string
- Name of the deployment slot. If a slot is not specified, the API will get a backup of the production slot.
- StorageAccountUrl
string
- SAS URL to the container.
- BackupName
string
- Name of the backup.
- BackupSchedule
BackupSchedule
- Schedule for the backup if it is executed periodically.
- Databases
[]DatabaseBackupSetting
- Databases included in the backup.
- Enabled
bool
- True if the backup schedule is enabled (must be included in that case), false if the backup schedule should be disabled.
- Kind
string
- Kind of resource.
- backup_id
string
- ID of the backup.
- name
string
- Name of the app.
- resource_group_name
string
- The name of the resource group. The name is case insensitive.
- slot
string
- Name of the deployment slot. If a slot is not specified, the API will get a backup of the production slot.
- storage_account_url
string
- SAS URL to the container.
- backup_name
string
- Name of the backup.
- backup_schedule
object
- Schedule for the backup if it is executed periodically.
- databases
list(object)
- Databases included in the backup.
- enabled
bool
- True if the backup schedule is enabled (must be included in that case), false if the backup schedule should be disabled.
- kind
string
- Kind of resource.
- backupId
string
- ID of the backup.
- name
string
- Name of the app.
- resourceGroupName
string
- The name of the resource group. The name is case insensitive.
- slot
string
- Name of the deployment slot. If a slot is not specified, the API will get a backup of the production slot.
- storageAccountUrl
string
- SAS URL to the container.
- backupName
string
- Name of the backup.
- backupSchedule
BackupSchedule
- Schedule for the backup if it is executed periodically.
- databases
DatabaseBackupSetting[]
- Databases included in the backup.
- enabled
boolean
- True if the backup schedule is enabled (must be included in that case), false if the backup schedule should be disabled.
- kind
string
- Kind of resource.
- backupId
String
- ID of the backup.
- name
String
- Name of the app.
- resourceGroupName
String
- The name of the resource group. The name is case insensitive.
- slot
String
- Name of the deployment slot. If a slot is not specified, the API will get a backup of the production slot.
- storageAccountUrl
String
- SAS URL to the container.
- backupName
String
- Name of the backup.
- backupSchedule
Property Map
- Schedule for the backup if it is executed periodically.
- databases
List<Property Map>
- Databases included in the backup.
- enabled
Boolean
- True if the backup schedule is enabled (must be included in that case), false if the backup schedule should be disabled.
- kind
String
- Kind of resource.
listWebAppBackupStatusSecretsSlot Result
The following output properties are available:
- BackupId
int
- Id of the backup.
- BlobName
string
- Name of the blob which contains data for this backup.
- CorrelationId
string
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- Created
string
- Timestamp of the backup creation.
- Databases
List<Pulumi.AzureNative.Web.Outputs.DatabaseBackupSettingResponse>
- List of databases included in the backup.
- FinishedTimeStamp
string
- Timestamp when this backup finished.
- Id
string
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- LastRestoreTimeStamp
string
- Timestamp of a last restore operation which used this backup.
- Log
string
- Details regarding this backup. Might contain an error message.
- Name
string
- The name of the resource
- Scheduled
bool
- True if this backup has been created due to a schedule being triggered.
- SizeInBytes
double
- Size of the backup in bytes.
- Status
string
- Backup status.
- StorageAccountUrl
string
- SAS URL for the storage account container which contains this backup.
- SystemData
Pulumi.AzureNative.Web.Outputs.SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- WebsiteSizeInBytes
double
- Size of the original web app which has been backed up.
- Kind
string
- Kind of resource.
- BackupId
int
- Id of the backup.
- BlobName
string
- Name of the blob which contains data for this backup.
- CorrelationId
string
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- Created
string
- Timestamp of the backup creation.
- Databases
[]DatabaseBackupSettingResponse
- List of databases included in the backup.
- FinishedTimeStamp
string
- Timestamp when this backup finished.
- Id
string
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- LastRestoreTimeStamp
string
- Timestamp of a last restore operation which used this backup.
- Log
string
- Details regarding this backup. Might contain an error message.
- Name
string
- The name of the resource
- Scheduled
bool
- True if this backup has been created due to a schedule being triggered.
- SizeInBytes
float64
- Size of the backup in bytes.
- Status
string
- Backup status.
- StorageAccountUrl
string
- SAS URL for the storage account container which contains this backup.
- SystemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- WebsiteSizeInBytes
float64
- Size of the original web app which has been backed up.
- Kind
string
- Kind of resource.
- backup_id
number
- Id of the backup.
- blob_name
string
- Name of the blob which contains data for this backup.
- correlation_id
string
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- created
string
- Timestamp of the backup creation.
- databases
list(object)
- List of databases included in the backup.
- finished_time_stamp
string
- Timestamp when this backup finished.
- id
string
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- last_restore_time_stamp
string
- Timestamp of a last restore operation which used this backup.
- log
string
- Details regarding this backup. Might contain an error message.
- name
string
- The name of the resource
- scheduled
bool
- True if this backup has been created due to a schedule being triggered.
- size_in_bytes
number
- Size of the backup in bytes.
- status
string
- Backup status.
- storage_account_url
string
- SAS URL for the storage account container which contains this backup.
- system_data
object
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- website_size_in_bytes
number
- Size of the original web app which has been backed up.
- kind
string
- Kind of resource.
- backupId
Integer
- Id of the backup.
- blobName
String
- Name of the blob which contains data for this backup.
- correlationId
String
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- created
String
- Timestamp of the backup creation.
- databases
List<DatabaseBackupSettingResponse>
- List of databases included in the backup.
- finishedTimeStamp
String
- Timestamp when this backup finished.
- id
String
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- lastRestoreTimeStamp
String
- Timestamp of a last restore operation which used this backup.
- log
String
- Details regarding this backup. Might contain an error message.
- name
String
- The name of the resource
- scheduled
Boolean
- True if this backup has been created due to a schedule being triggered.
- sizeInBytes
Double
- Size of the backup in bytes.
- status
String
- Backup status.
- storageAccountUrl
String
- SAS URL for the storage account container which contains this backup.
- systemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- websiteSizeInBytes
Double
- Size of the original web app which has been backed up.
- kind
String
- Kind of resource.
- backupId
number
- Id of the backup.
- blobName
string
- Name of the blob which contains data for this backup.
- correlationId
string
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- created
string
- Timestamp of the backup creation.
- databases
DatabaseBackupSettingResponse[]
- List of databases included in the backup.
- finishedTimeStamp
string
- Timestamp when this backup finished.
- id
string
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- lastRestoreTimeStamp
string
- Timestamp of a last restore operation which used this backup.
- log
string
- Details regarding this backup. Might contain an error message.
- name
string
- The name of the resource
- scheduled
boolean
- True if this backup has been created due to a schedule being triggered.
- sizeInBytes
number
- Size of the backup in bytes.
- status
string
- Backup status.
- storageAccountUrl
string
- SAS URL for the storage account container which contains this backup.
- systemData
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- websiteSizeInBytes
number
- Size of the original web app which has been backed up.
- kind
string
- Kind of resource.
- backup_id
int
- Id of the backup.
- blob_name
str
- Name of the blob which contains data for this backup.
- correlation_id
str
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- created
str
- Timestamp of the backup creation.
- databases
Sequence[DatabaseBackupSettingResponse]
- List of databases included in the backup.
- finished_time_stamp
str
- Timestamp when this backup finished.
- id
str
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- last_restore_time_stamp
str
- Timestamp of a last restore operation which used this backup.
- log
str
- Details regarding this backup. Might contain an error message.
- name
str
- The name of the resource
- scheduled
bool
- True if this backup has been created due to a schedule being triggered.
- size_in_bytes
float
- Size of the backup in bytes.
- status
str
- Backup status.
- storage_account_url
str
- SAS URL for the storage account container which contains this backup.
- system_data
SystemDataResponse
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- website_size_in_bytes
float
- Size of the original web app which has been backed up.
- kind
str
- Kind of resource.
- backupId
Number
- Id of the backup.
- blobName
String
- Name of the blob which contains data for this backup.
- correlationId
String
- Unique correlation identifier. Please use this along with the timestamp while communicating with Azure support.
- created
String
- Timestamp of the backup creation.
- databases
List<Property Map>
- List of databases included in the backup.
- finishedTimeStamp
String
- Timestamp when this backup finished.
- id
String
- Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
- lastRestoreTimeStamp
String
- Timestamp of a last restore operation which used this backup.
- log
String
- Details regarding this backup. Might contain an error message.
- name
String
- The name of the resource
- scheduled
Boolean
- True if this backup has been created due to a schedule being triggered.
- sizeInBytes
Number
- Size of the backup in bytes.
- status
String
- Backup status.
- storageAccountUrl
String
- SAS URL for the storage account container which contains this backup.
- systemData
Property Map
- Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type
String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- websiteSizeInBytes
Number
- Size of the original web app which has been backed up.
- kind
String
- Kind of resource.
Supporting Types
BackupSchedule
- FrequencyInterval
int
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- FrequencyUnit
Pulumi.AzureNative.Web.FrequencyUnit
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- KeepAtLeastOneBackup
bool
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- RetentionPeriodInDays
int
- After how many days backups should be deleted.
- StartTime
string
- When the schedule should start working.
- FrequencyInterval
int
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- FrequencyUnit
FrequencyUnit
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- KeepAtLeastOneBackup
bool
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- RetentionPeriodInDays
int
- After how many days backups should be deleted.
- StartTime
string
- When the schedule should start working.
- frequency_interval
number
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- frequency_unit
"Day" | "Hour"
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- keep_at_least_one_backup
bool
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- retention_period_in_days
number
- After how many days backups should be deleted.
- start_time
string
- When the schedule should start working.
- frequencyInterval
Integer
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- frequencyUnit
FrequencyUnit
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- keepAtLeastOneBackup
Boolean
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- retentionPeriodInDays
Integer
- After how many days backups should be deleted.
- startTime
String
- When the schedule should start working.
- frequencyInterval
number
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- frequencyUnit
FrequencyUnit
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- keepAtLeastOneBackup
boolean
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- retentionPeriodInDays
number
- After how many days backups should be deleted.
- startTime
string
- When the schedule should start working.
- frequency_interval
int
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- frequency_unit
FrequencyUnit
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- keep_at_least_one_backup
bool
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- retention_period_in_days
int
- After how many days backups should be deleted.
- start_time
str
- When the schedule should start working.
- frequencyInterval
Number
- How often the backup should be executed (e.g. for weekly backup, this should be set to 7 and FrequencyUnit should be set to Day)
- frequencyUnit
"Day" | "Hour"
- The unit of time for how often the backup should be executed (e.g. for weekly backup, this should be set to Day and FrequencyInterval should be set to 7)
- keepAtLeastOneBackup
Boolean
- True if the retention policy should always keep at least one backup in the storage account, regardless how old it is; false otherwise.
- retentionPeriodInDays
Number
- After how many days backups should be deleted.
- startTime
String
- When the schedule should start working.
DatabaseBackupSetting
- DatabaseType
string | Pulumi.AzureNative.Web.DatabaseType
- Database type (e.g. SqlAzure / MySql).
- ConnectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- ConnectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- Name
string
- DatabaseType
string | DatabaseType
- Database type (e.g. SqlAzure / MySql).
- ConnectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- ConnectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- Name
string
- databaseType
String | DatabaseType
- Database type (e.g. SqlAzure / MySql).
- connectionString
String
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connectionStringName
String
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
String
- databaseType
string | DatabaseType
- Database type (e.g. SqlAzure / MySql).
- connectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
string
- database_type
str | DatabaseType
- Database type (e.g. SqlAzure / MySql).
- connection_string
str
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connection_string_name
str
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
str
DatabaseBackupSettingResponse
- DatabaseType
string
- Database type (e.g. SqlAzure / MySql).
- ConnectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- ConnectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- Name
string
- DatabaseType
string
- Database type (e.g. SqlAzure / MySql).
- ConnectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- ConnectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- Name
string
- database_type
string
- Database type (e.g. SqlAzure / MySql).
- connection_string
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connection_string_name
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
string
- databaseType
String
- Database type (e.g. SqlAzure / MySql).
- connectionString
String
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connectionStringName
String
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
String
- databaseType
string
- Database type (e.g. SqlAzure / MySql).
- connectionString
string
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connectionStringName
string
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
string
- database_type
str
- Database type (e.g. SqlAzure / MySql).
- connection_string
str
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connection_string_name
str
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
str
- databaseType
String
- Database type (e.g. SqlAzure / MySql).
- connectionString
String
- Contains a connection string to a database which is being backed up or restored. If the restore should happen to a new database, the database name inside is the new one.
- connectionStringName
String
- Contains a connection string name that is linked to the SiteConfig.ConnectionStrings.
This is used during restore with overwrite connection strings options.
- name
String
DatabaseType
| Name | Value |
|---|
| SqlAzure | SqlAzure |
| MySql | MySql |
| LocalMySql | LocalMySql |
| PostgreSql | PostgreSql |
| Name | Value |
|---|
| DatabaseTypeSqlAzure | SqlAzure |
| DatabaseTypeMySql | MySql |
| DatabaseTypeLocalMySql | LocalMySql |
| DatabaseTypePostgreSql | PostgreSql |
| Value |
|---|
SqlAzure |
MySql |
LocalMySql |
PostgreSql |
| Name | Value |
|---|
| SqlAzure | SqlAzure |
| MySql | MySql |
| LocalMySql | LocalMySql |
| PostgreSql | PostgreSql |
| Name | Value |
|---|
| SqlAzure | SqlAzure |
| MySql | MySql |
| LocalMySql | LocalMySql |
| PostgreSql | PostgreSql |
| Name | Value |
|---|
| SQL_AZURE | SqlAzure |
| MY_SQL | MySql |
| LOCAL_MY_SQL | LocalMySql |
| POSTGRE_SQL | PostgreSql |
| Value |
|---|
SqlAzure |
MySql |
LocalMySql |
PostgreSql |
FrequencyUnit
| Name | Value |
|---|
| FrequencyUnitDay | Day |
| FrequencyUnitHour | Hour |
SystemDataResponse
- CreatedAt
string
- The timestamp of resource creation (UTC).
- CreatedBy
string
- The identity that created the resource.
- CreatedByType
string
- The type of identity that created the resource.
- LastModifiedAt
string
- The timestamp of resource last modification (UTC)
- LastModifiedBy
string
- The identity that last modified the resource.
- LastModifiedByType
string
- The type of identity that last modified the resource.
- CreatedAt
string
- The timestamp of resource creation (UTC).
- CreatedBy
string
- The identity that created the resource.
- CreatedByType
string
- The type of identity that created the resource.
- LastModifiedAt
string
- The timestamp of resource last modification (UTC)
- LastModifiedBy
string
- The identity that last modified the resource.
- LastModifiedByType
string
- The type of identity that last modified the resource.
- createdAt
String
- The timestamp of resource creation (UTC).
- createdBy
String
- The identity that created the resource.
- createdByType
String
- The type of identity that created the resource.
- lastModifiedAt
String
- The timestamp of resource last modification (UTC)
- lastModifiedBy
String
- The identity that last modified the resource.
- lastModifiedByType
String
- The type of identity that last modified the resource.
- createdAt
string
- The timestamp of resource creation (UTC).
- createdBy
string
- The identity that created the resource.
- createdByType
string
- The type of identity that created the resource.
- lastModifiedAt
string
- The timestamp of resource last modification (UTC)
- lastModifiedBy
string
- The identity that last modified the resource.
- lastModifiedByType
string
- The type of identity that last modified the resource.
- createdAt
String
- The timestamp of resource creation (UTC).
- createdBy
String
- The identity that created the resource.
- createdByType
String
- The type of identity that created the resource.
- lastModifiedAt
String
- The timestamp of resource last modification (UTC)
- lastModifiedBy
String
- The identity that last modified the resource.
- lastModifiedByType
String
- The type of identity that last modified the resource.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0